Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#837 Show an attached file highlighted in its home folder

Next full release
accepted
Oliver Kopp
None
5
2013-06-29
2013-06-28
Jeff Miller
No

After locating some references of interest within JabRef, I often want to attach the PDF files of those references to an email (e.g., to a student or colleague). It would be great if JabRef would help me find those files.

For example, it would be convenient if I could right-click on a reference's PDF attachment icon in the entry table and get an option to "open the file location". Selecting this option would open a new window (e.g., Windows Explorer) with the file highlighted and ready to drag/drop onto the email.

I know nothing about Java, but in case it is helpful I will mention that using FreePascal under Windows, one can get Windows Explorer to open a window with a specific file highlighted (exactly as I am suggesting) using code like this:
S := '/select, "'+FilePathAndName+'"'; // These are string type variables
ShellExecute(Handle,'open',PChar('explorer.exe'),PChar(S),nil,SW_SHOWNORMAL);

Related

Feature Requests: #837

Discussion

  • Oliver Kopp
    Oliver Kopp
    2013-06-29

    • status: open --> accepted
    • assigned_to: Oliver Kopp
     
  • Oliver Kopp
    Oliver Kopp
    2013-06-29

    Currentl, you can right click on a reference and click "send as email", which implements the desired functionality. It should be easy to offer a popup at the PDF icon, too. Can't promise any release date though...

     
  • Jeff Miller
    Jeff Miller
    2013-06-29

    Thanks for your reply, Oliver, but I guess I wasn't too clear.

    you can right click on a reference and click "send as email", which implements the desired functionality

    No, that's not the desired functionality. Right clicking gives the option to send the bibtex entry, but not (as far as I can see) to option to send the attached file.

    I only want to send the attached file, so that my colleague/student can read it. Sadly, most of them aren't bibtex users, so they don't even want the bibtex entry. Poor deluded fools...

    Jeff
    miller@psy.otago.ac.nz

    From: Oliver Kopp [mailto:olly98@users.sf.net]
    Sent: Saturday, June 29, 2013 8:16 PM
    To: [jabref:feature-requests]
    Subject: [jabref:feature-requests] #837 Show an attached file highlighted in its home folder

    Currentl, you can right click on a reference and click "send as email", which implements the desired functionality. It should be easy to offer a popup at the PDF icon, too. Can't promise any release date though...


    [feature-requests:#837]http://sourceforge.net/p/jabref/feature-requests/837/ Show an attached file highlighted in its home folder

    Status: accepted
    Created: Fri Jun 28, 2013 10:32 PM UTC by Jeff Miller
    Last Updated: Fri Jun 28, 2013 10:32 PM UTC
    Owner: Oliver Kopp

    After locating some references of interest within JabRef, I often want to attach the PDF files of those references to an email (e.g., to a student or colleague). It would be great if JabRef would help me find those files.

    For example, it would be convenient if I could right-click on a reference's PDF attachment icon in the entry table and get an option to "open the file location". Selecting this option would open a new window (e.g., Windows Explorer) with the file highlighted and ready to drag/drop onto the email.

    I know nothing about Java, but in case it is helpful I will mention that using FreePascal under Windows, one can get Windows Explorer to open a window with a specific file highlighted (exactly as I am suggesting) using code like this:
    S := '/select, "'+FilePathAndName+'"'; // These are string type variables
    ShellExecute(Handle,'open',PChar('explorer.exe'),PChar(S),nil,SW_SHOWNORMAL);


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/jabref/feature-requests/837/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #837

  • Oliver Kopp
    Oliver Kopp
    2013-06-29

    Go to Preferences -> External Programs -> "Sending of emails" -> check that there is a checkmark at "Automatically open folders of attached files".

    Worked fine on Win7 and works fine on Win8: When sending an email, the email client is opened and the explorer is opened with the corresponding PDF selected.

    If there already is a checkmark, we have to debug your system setup.

     
  • Jeff Miller
    Jeff Miller
    2013-06-29

    Oliver,

    Oh, I see. Yes, that works great. Sorry I missed that option, and thanks for a great piece of software.

    Jeff
    miller@psy.otago.ac.nz

    From: Oliver Kopp [mailto:olly98@users.sf.net]
    Sent: Saturday, June 29, 2013 11:01 PM
    To: [jabref:feature-requests]
    Subject: [jabref:feature-requests] #837 Show an attached file highlighted in its home folder

    Go to Preferences -> External Programs -> "Sending of emails" -> check that there is a checkmark at "Automatically open folders of attached files".

    Worked fine on Win7 and works fine on Win8: When sending an email, the email client is opened and the explorer is opened with the corresponding PDF selected.

    If there already is a checkmark, we have to debug your system setup.


    [feature-requests:#837]http://sourceforge.net/p/jabref/feature-requests/837/ Show an attached file highlighted in its home folder

    Status: accepted
    Created: Fri Jun 28, 2013 10:32 PM UTC by Jeff Miller
    Last Updated: Sat Jun 29, 2013 08:15 AM UTC
    Owner: Oliver Kopp

    After locating some references of interest within JabRef, I often want to attach the PDF files of those references to an email (e.g., to a student or colleague). It would be great if JabRef would help me find those files.

    For example, it would be convenient if I could right-click on a reference's PDF attachment icon in the entry table and get an option to "open the file location". Selecting this option would open a new window (e.g., Windows Explorer) with the file highlighted and ready to drag/drop onto the email.

    I know nothing about Java, but in case it is helpful I will mention that using FreePascal under Windows, one can get Windows Explorer to open a window with a specific file highlighted (exactly as I am suggesting) using code like this:
    S := '/select, "'+FilePathAndName+'"'; // These are string type variables
    ShellExecute(Handle,'open',PChar('explorer.exe'),PChar(S),nil,SW_SHOWNORMAL);


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/jabref/feature-requests/837/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #837